// This file is part of the SV-Benchmarks collection of verification tasks:
// https://gitlab.com/sosy-lab/benchmarking/sv-benchmarks
//
// SPDX-FileCopyrightText: 2023 Levente Bajczi, Department of Measurement and Information Systems, Budapest University of Technology and Economics
//
// SPDX-License-Identifier: Apache-2.0

// Original CHC file: tricera-benchmarks/diamond_2-2.c-1.smt2.gz_000.smt2
extern void abort ();
extern int __VERIFIER_nondet_int ();
extern _Bool __VERIFIER_nondet__Bool ();
extern void __assert_fail(const char *, const char *, unsigned int, const char *) __attribute__ ((__nothrow__ , __leaf__)) __attribute__ ((__noreturn__));
void reach_error() { __assert_fail("0", "diamond_2-2.c-1.smt2.gz_000_range.c", 13, "reach_error"); }



int main ();

int
main ()
{
    // return parameter


    // variables
    int inv_main3_0;
    int inv_main17_0;
    int inv_main17_1;
    int inv_main23_0;
    int inv_main23_1;
    int inv_main29_0;
    int inv_main29_1;
    int inv_main6_0;
    int inv_main6_1;
    int inv_main5_0;
    int inv_main5_1;
    int inv_main11_0;
    int inv_main11_1;
    int A_0;
    int A_1;
    int B_1;
    int A_2;
    int B_2;
    int C_2;
    int D_2;
    int E_2;
    int F_2;
    int G_2;
    int A_3;
    int B_3;
    int C_3;
    int D_3;
    int E_3;
    int F_3;
    int G_3;
    int A_4;
    int B_4;
    int C_4;
    int D_4;
    int E_4;
    int F_4;
    int G_4;
    int A_5;
    int B_5;
    int C_5;
    int D_5;
    int E_5;
    int F_5;
    int G_5;
    int A_6;
    int B_6;
    int C_6;
    int D_6;
    int E_6;
    int F_6;
    int G_6;
    int A_7;
    int B_7;
    int C_7;
    int D_7;
    int E_7;
    int F_7;
    int G_7;
    int A_8;
    int B_8;
    int C_8;
    int D_8;
    int E_8;
    int F_8;
    int G_8;
    int A_9;
    int B_9;
    int C_9;
    int D_9;
    int E_9;
    int F_9;
    int G_9;
    int A_10;
    int B_10;
    int C_10;
    int D_10;
    int E_10;
    int F_10;
    int G_10;
    int A_11;
    int B_11;
    int C_11;
    int D_11;
    int E_11;
    int F_11;
    int G_11;
    int A_12;
    int B_12;
    int C_12;
    int D_12;
    int E_12;
    int F_12;
    int G_12;
    int A_13;
    int B_13;
    int C_13;
    int D_13;
    int E_13;
    int F_13;
    int G_13;
    int A_14;
    int B_14;
    int C_14;
    int D_14;
    int E_14;
    int F_14;
    int G_14;
    int A_15;
    int B_15;
    int C_15;
    int D_15;
    int E_15;
    int F_15;
    int G_15;
    int A_16;
    int B_16;
    int C_16;
    int D_16;
    int E_16;
    int F_16;
    int G_16;
    int A_17;
    int B_17;
    int C_17;
    int D_17;
    int E_17;
    int F_17;
    int G_17;
    int A_18;
    int B_18;
    int A_19;
    int B_19;
    int C_19;
    int D_19;
    int E_19;
    int F_19;
    int G_19;
    int A_20;
    int B_20;
    int C_20;
    int D_20;
    int E_20;
    int F_20;
    int G_20;
    int A_21;
    int B_21;
    int C_21;
    int D_21;
    int E_21;
    int F_21;
    int G_21;
    int A_22;
    int B_22;
    int C_22;
    int D_22;
    int E_22;
    int F_22;
    int G_22;
    int A_23;
    int B_23;
    int C_23;
    int D_23;
    int E_23;
    int F_23;

    if (((inv_main3_0 <= -1000000000) || (inv_main3_0 >= 1000000000))
        || ((inv_main17_0 <= -1000000000) || (inv_main17_0 >= 1000000000))
        || ((inv_main17_1 <= -1000000000) || (inv_main17_1 >= 1000000000))
        || ((inv_main23_0 <= -1000000000) || (inv_main23_0 >= 1000000000))
        || ((inv_main23_1 <= -1000000000) || (inv_main23_1 >= 1000000000))
        || ((inv_main29_0 <= -1000000000) || (inv_main29_0 >= 1000000000))
        || ((inv_main29_1 <= -1000000000) || (inv_main29_1 >= 1000000000))
        || ((inv_main6_0 <= -1000000000) || (inv_main6_0 >= 1000000000))
        || ((inv_main6_1 <= -1000000000) || (inv_main6_1 >= 1000000000))
        || ((inv_main5_0 <= -1000000000) || (inv_main5_0 >= 1000000000))
        || ((inv_main5_1 <= -1000000000) || (inv_main5_1 >= 1000000000))
        || ((inv_main11_0 <= -1000000000) || (inv_main11_0 >= 1000000000))
        || ((inv_main11_1 <= -1000000000) || (inv_main11_1 >= 1000000000))
        || ((A_0 <= -1000000000) || (A_0 >= 1000000000))
        || ((A_1 <= -1000000000) || (A_1 >= 1000000000))
        || ((B_1 <= -1000000000) || (B_1 >= 1000000000))
        || ((A_2 <= -1000000000) || (A_2 >= 1000000000))
        || ((B_2 <= -1000000000) || (B_2 >= 1000000000))
        || ((C_2 <= -1000000000) || (C_2 >= 1000000000))
        || ((D_2 <= -1000000000) || (D_2 >= 1000000000))
        || ((E_2 <= -1000000000) || (E_2 >= 1000000000))
        || ((F_2 <= -1000000000) || (F_2 >= 1000000000))
        || ((G_2 <= -1000000000) || (G_2 >= 1000000000))
        || ((A_3 <= -1000000000) || (A_3 >= 1000000000))
        || ((B_3 <= -1000000000) || (B_3 >= 1000000000))
        || ((C_3 <= -1000000000) || (C_3 >= 1000000000))
        || ((D_3 <= -1000000000) || (D_3 >= 1000000000))
        || ((E_3 <= -1000000000) || (E_3 >= 1000000000))
        || ((F_3 <= -1000000000) || (F_3 >= 1000000000))
        || ((G_3 <= -1000000000) || (G_3 >= 1000000000))
        || ((A_4 <= -1000000000) || (A_4 >= 1000000000))
        || ((B_4 <= -1000000000) || (B_4 >= 1000000000))
        || ((C_4 <= -1000000000) || (C_4 >= 1000000000))
        || ((D_4 <= -1000000000) || (D_4 >= 1000000000))
        || ((E_4 <= -1000000000) || (E_4 >= 1000000000))
        || ((F_4 <= -1000000000) || (F_4 >= 1000000000))
        || ((G_4 <= -1000000000) || (G_4 >= 1000000000))
        || ((A_5 <= -1000000000) || (A_5 >= 1000000000))
        || ((B_5 <= -1000000000) || (B_5 >= 1000000000))
        || ((C_5 <= -1000000000) || (C_5 >= 1000000000))
        || ((D_5 <= -1000000000) || (D_5 >= 1000000000))
        || ((E_5 <= -1000000000) || (E_5 >= 1000000000))
        || ((F_5 <= -1000000000) || (F_5 >= 1000000000))
        || ((G_5 <= -1000000000) || (G_5 >= 1000000000))
        || ((A_6 <= -1000000000) || (A_6 >= 1000000000))
        || ((B_6 <= -1000000000) || (B_6 >= 1000000000))
        || ((C_6 <= -1000000000) || (C_6 >= 1000000000))
        || ((D_6 <= -1000000000) || (D_6 >= 1000000000))
        || ((E_6 <= -1000000000) || (E_6 >= 1000000000))
        || ((F_6 <= -1000000000) || (F_6 >= 1000000000))
        || ((G_6 <= -1000000000) || (G_6 >= 1000000000))
        || ((A_7 <= -1000000000) || (A_7 >= 1000000000))
        || ((B_7 <= -1000000000) || (B_7 >= 1000000000))
        || ((C_7 <= -1000000000) || (C_7 >= 1000000000))
        || ((D_7 <= -1000000000) || (D_7 >= 1000000000))
        || ((E_7 <= -1000000000) || (E_7 >= 1000000000))
        || ((F_7 <= -1000000000) || (F_7 >= 1000000000))
        || ((G_7 <= -1000000000) || (G_7 >= 1000000000))
        || ((A_8 <= -1000000000) || (A_8 >= 1000000000))
        || ((B_8 <= -1000000000) || (B_8 >= 1000000000))
        || ((C_8 <= -1000000000) || (C_8 >= 1000000000))
        || ((D_8 <= -1000000000) || (D_8 >= 1000000000))
        || ((E_8 <= -1000000000) || (E_8 >= 1000000000))
        || ((F_8 <= -1000000000) || (F_8 >= 1000000000))
        || ((G_8 <= -1000000000) || (G_8 >= 1000000000))
        || ((A_9 <= -1000000000) || (A_9 >= 1000000000))
        || ((B_9 <= -1000000000) || (B_9 >= 1000000000))
        || ((C_9 <= -1000000000) || (C_9 >= 1000000000))
        || ((D_9 <= -1000000000) || (D_9 >= 1000000000))
        || ((E_9 <= -1000000000) || (E_9 >= 1000000000))
        || ((F_9 <= -1000000000) || (F_9 >= 1000000000))
        || ((G_9 <= -1000000000) || (G_9 >= 1000000000))
        || ((A_10 <= -1000000000) || (A_10 >= 1000000000))
        || ((B_10 <= -1000000000) || (B_10 >= 1000000000))
        || ((C_10 <= -1000000000) || (C_10 >= 1000000000))
        || ((D_10 <= -1000000000) || (D_10 >= 1000000000))
        || ((E_10 <= -1000000000) || (E_10 >= 1000000000))
        || ((F_10 <= -1000000000) || (F_10 >= 1000000000))
        || ((G_10 <= -1000000000) || (G_10 >= 1000000000))
        || ((A_11 <= -1000000000) || (A_11 >= 1000000000))
        || ((B_11 <= -1000000000) || (B_11 >= 1000000000))
        || ((C_11 <= -1000000000) || (C_11 >= 1000000000))
        || ((D_11 <= -1000000000) || (D_11 >= 1000000000))
        || ((E_11 <= -1000000000) || (E_11 >= 1000000000))
        || ((F_11 <= -1000000000) || (F_11 >= 1000000000))
        || ((G_11 <= -1000000000) || (G_11 >= 1000000000))
        || ((A_12 <= -1000000000) || (A_12 >= 1000000000))
        || ((B_12 <= -1000000000) || (B_12 >= 1000000000))
        || ((C_12 <= -1000000000) || (C_12 >= 1000000000))
        || ((D_12 <= -1000000000) || (D_12 >= 1000000000))
        || ((E_12 <= -1000000000) || (E_12 >= 1000000000))
        || ((F_12 <= -1000000000) || (F_12 >= 1000000000))
        || ((G_12 <= -1000000000) || (G_12 >= 1000000000))
        || ((A_13 <= -1000000000) || (A_13 >= 1000000000))
        || ((B_13 <= -1000000000) || (B_13 >= 1000000000))
        || ((C_13 <= -1000000000) || (C_13 >= 1000000000))
        || ((D_13 <= -1000000000) || (D_13 >= 1000000000))
        || ((E_13 <= -1000000000) || (E_13 >= 1000000000))
        || ((F_13 <= -1000000000) || (F_13 >= 1000000000))
        || ((G_13 <= -1000000000) || (G_13 >= 1000000000))
        || ((A_14 <= -1000000000) || (A_14 >= 1000000000))
        || ((B_14 <= -1000000000) || (B_14 >= 1000000000))
        || ((C_14 <= -1000000000) || (C_14 >= 1000000000))
        || ((D_14 <= -1000000000) || (D_14 >= 1000000000))
        || ((E_14 <= -1000000000) || (E_14 >= 1000000000))
        || ((F_14 <= -1000000000) || (F_14 >= 1000000000))
        || ((G_14 <= -1000000000) || (G_14 >= 1000000000))
        || ((A_15 <= -1000000000) || (A_15 >= 1000000000))
        || ((B_15 <= -1000000000) || (B_15 >= 1000000000))
        || ((C_15 <= -1000000000) || (C_15 >= 1000000000))
        || ((D_15 <= -1000000000) || (D_15 >= 1000000000))
        || ((E_15 <= -1000000000) || (E_15 >= 1000000000))
        || ((F_15 <= -1000000000) || (F_15 >= 1000000000))
        || ((G_15 <= -1000000000) || (G_15 >= 1000000000))
        || ((A_16 <= -1000000000) || (A_16 >= 1000000000))
        || ((B_16 <= -1000000000) || (B_16 >= 1000000000))
        || ((C_16 <= -1000000000) || (C_16 >= 1000000000))
        || ((D_16 <= -1000000000) || (D_16 >= 1000000000))
        || ((E_16 <= -1000000000) || (E_16 >= 1000000000))
        || ((F_16 <= -1000000000) || (F_16 >= 1000000000))
        || ((G_16 <= -1000000000) || (G_16 >= 1000000000))
        || ((A_17 <= -1000000000) || (A_17 >= 1000000000))
        || ((B_17 <= -1000000000) || (B_17 >= 1000000000))
        || ((C_17 <= -1000000000) || (C_17 >= 1000000000))
        || ((D_17 <= -1000000000) || (D_17 >= 1000000000))
        || ((E_17 <= -1000000000) || (E_17 >= 1000000000))
        || ((F_17 <= -1000000000) || (F_17 >= 1000000000))
        || ((G_17 <= -1000000000) || (G_17 >= 1000000000))
        || ((A_18 <= -1000000000) || (A_18 >= 1000000000))
        || ((B_18 <= -1000000000) || (B_18 >= 1000000000))
        || ((A_19 <= -1000000000) || (A_19 >= 1000000000))
        || ((B_19 <= -1000000000) || (B_19 >= 1000000000))
        || ((C_19 <= -1000000000) || (C_19 >= 1000000000))
        || ((D_19 <= -1000000000) || (D_19 >= 1000000000))
        || ((E_19 <= -1000000000) || (E_19 >= 1000000000))
        || ((F_19 <= -1000000000) || (F_19 >= 1000000000))
        || ((G_19 <= -1000000000) || (G_19 >= 1000000000))
        || ((A_20 <= -1000000000) || (A_20 >= 1000000000))
        || ((B_20 <= -1000000000) || (B_20 >= 1000000000))
        || ((C_20 <= -1000000000) || (C_20 >= 1000000000))
        || ((D_20 <= -1000000000) || (D_20 >= 1000000000))
        || ((E_20 <= -1000000000) || (E_20 >= 1000000000))
        || ((F_20 <= -1000000000) || (F_20 >= 1000000000))
        || ((G_20 <= -1000000000) || (G_20 >= 1000000000))
        || ((A_21 <= -1000000000) || (A_21 >= 1000000000))
        || ((B_21 <= -1000000000) || (B_21 >= 1000000000))
        || ((C_21 <= -1000000000) || (C_21 >= 1000000000))
        || ((D_21 <= -1000000000) || (D_21 >= 1000000000))
        || ((E_21 <= -1000000000) || (E_21 >= 1000000000))
        || ((F_21 <= -1000000000) || (F_21 >= 1000000000))
        || ((G_21 <= -1000000000) || (G_21 >= 1000000000))
        || ((A_22 <= -1000000000) || (A_22 >= 1000000000))
        || ((B_22 <= -1000000000) || (B_22 >= 1000000000))
        || ((C_22 <= -1000000000) || (C_22 >= 1000000000))
        || ((D_22 <= -1000000000) || (D_22 >= 1000000000))
        || ((E_22 <= -1000000000) || (E_22 >= 1000000000))
        || ((F_22 <= -1000000000) || (F_22 >= 1000000000))
        || ((G_22 <= -1000000000) || (G_22 >= 1000000000))
        || ((A_23 <= -1000000000) || (A_23 >= 1000000000))
        || ((B_23 <= -1000000000) || (B_23 >= 1000000000))
        || ((C_23 <= -1000000000) || (C_23 >= 1000000000))
        || ((D_23 <= -1000000000) || (D_23 >= 1000000000))
        || ((E_23 <= -1000000000) || (E_23 >= 1000000000))
        || ((F_23 <= -1000000000) || (F_23 >= 1000000000)))
        abort ();

    // main logic
    goto main_init;

  main_init:
    if (!(A_0 == 0))
        abort ();
    inv_main3_0 = A_0;
    A_18 = __VERIFIER_nondet_int ();
    if (((A_18 <= -1000000000) || (A_18 >= 1000000000)))
        abort ();
    B_18 = inv_main3_0;
    if (!((0 <= B_18) && (0 <= A_18)))
        abort ();
    inv_main5_0 = B_18;
    inv_main5_1 = A_18;
    goto inv_main5;
  main_error:
    reach_error ();
  main_final:
    goto main_final;
  inv_main17:
    switch (__VERIFIER_nondet_int ())
      {
      case 0:
          A_6 = __VERIFIER_nondet_int ();
          if (((A_6 <= -1000000000) || (A_6 >= 1000000000)))
              abort ();
          D_6 = __VERIFIER_nondet_int ();
          if (((D_6 <= -1000000000) || (D_6 >= 1000000000)))
              abort ();
          E_6 = __VERIFIER_nondet_int ();
          if (((E_6 <= -1000000000) || (E_6 >= 1000000000)))
              abort ();
          F_6 = __VERIFIER_nondet_int ();
          if (((F_6 <= -1000000000) || (F_6 >= 1000000000)))
              abort ();
          G_6 = __VERIFIER_nondet_int ();
          if (((G_6 <= -1000000000) || (G_6 >= 1000000000)))
              abort ();
          B_6 = inv_main17_0;
          C_6 = inv_main17_1;
          if (!
              ((C_6 == ((2 * E_6) + D_6)) && (C_6 == ((2 * G_6) + F_6))
               && (A_6 == (B_6 + 4)) && (F_6 == 0) && (-1 <= D_6)
               && (-1 <= F_6) && (0 <= C_6) && (0 <= B_6) && (D_6 <= 1)
               && (F_6 <= 1) && ((!(1 <= D_6)) || (1 <= C_6))
               && ((!(1 <= F_6)) || (1 <= C_6)) && ((!(D_6 <= -1))
                                                    || (C_6 <= -1))
               && ((!(F_6 <= -1)) || (C_6 <= -1)) && (D_6 == 0)))
              abort ();
          inv_main23_0 = A_6;
          inv_main23_1 = C_6;
          goto inv_main23;

      case 1:
          A_7 = __VERIFIER_nondet_int ();
          if (((A_7 <= -1000000000) || (A_7 >= 1000000000)))
              abort ();
          D_7 = __VERIFIER_nondet_int ();
          if (((D_7 <= -1000000000) || (D_7 >= 1000000000)))
              abort ();
          E_7 = __VERIFIER_nondet_int ();
          if (((E_7 <= -1000000000) || (E_7 >= 1000000000)))
              abort ();
          F_7 = __VERIFIER_nondet_int ();
          if (((F_7 <= -1000000000) || (F_7 >= 1000000000)))
              abort ();
          G_7 = __VERIFIER_nondet_int ();
          if (((G_7 <= -1000000000) || (G_7 >= 1000000000)))
              abort ();
          B_7 = inv_main17_0;
          C_7 = inv_main17_1;
          if (!
              ((C_7 == ((2 * E_7) + D_7)) && (C_7 == ((2 * G_7) + F_7))
               && (A_7 == (B_7 + -2)) && (F_7 == 0) && (-1 <= D_7)
               && (-1 <= F_7) && (0 <= C_7) && (0 <= B_7) && (D_7 <= 1)
               && (F_7 <= 1) && ((!(1 <= D_7)) || (1 <= C_7))
               && ((!(1 <= F_7)) || (1 <= C_7)) && ((!(D_7 <= -1))
                                                    || (C_7 <= -1))
               && ((!(F_7 <= -1)) || (C_7 <= -1)) && (!(D_7 == 0))))
              abort ();
          inv_main23_0 = A_7;
          inv_main23_1 = C_7;
          goto inv_main23;

      case 2:
          B_8 = __VERIFIER_nondet_int ();
          if (((B_8 <= -1000000000) || (B_8 >= 1000000000)))
              abort ();
          D_8 = __VERIFIER_nondet_int ();
          if (((D_8 <= -1000000000) || (D_8 >= 1000000000)))
              abort ();
          E_8 = __VERIFIER_nondet_int ();
          if (((E_8 <= -1000000000) || (E_8 >= 1000000000)))
              abort ();
          F_8 = __VERIFIER_nondet_int ();
          if (((F_8 <= -1000000000) || (F_8 >= 1000000000)))
              abort ();
          G_8 = __VERIFIER_nondet_int ();
          if (((G_8 <= -1000000000) || (G_8 >= 1000000000)))
              abort ();
          A_8 = inv_main17_0;
          C_8 = inv_main17_1;
          if (!
              ((C_8 == ((2 * E_8) + D_8)) && (C_8 == ((2 * G_8) + F_8))
               && (B_8 == (A_8 + 4)) && (!(F_8 == 0)) && (-1 <= D_8)
               && (-1 <= F_8) && (0 <= C_8) && (0 <= A_8) && (D_8 <= 1)
               && (F_8 <= 1) && ((!(1 <= D_8)) || (1 <= C_8))
               && ((!(1 <= F_8)) || (1 <= C_8)) && ((!(D_8 <= -1))
                                                    || (C_8 <= -1))
               && ((!(F_8 <= -1)) || (C_8 <= -1)) && (D_8 == 0)))
              abort ();
          inv_main23_0 = B_8;
          inv_main23_1 = C_8;
          goto inv_main23;

      case 3:
          B_9 = __VERIFIER_nondet_int ();
          if (((B_9 <= -1000000000) || (B_9 >= 1000000000)))
              abort ();
          D_9 = __VERIFIER_nondet_int ();
          if (((D_9 <= -1000000000) || (D_9 >= 1000000000)))
              abort ();
          E_9 = __VERIFIER_nondet_int ();
          if (((E_9 <= -1000000000) || (E_9 >= 1000000000)))
              abort ();
          F_9 = __VERIFIER_nondet_int ();
          if (((F_9 <= -1000000000) || (F_9 >= 1000000000)))
              abort ();
          G_9 = __VERIFIER_nondet_int ();
          if (((G_9 <= -1000000000) || (G_9 >= 1000000000)))
              abort ();
          C_9 = inv_main17_0;
          A_9 = inv_main17_1;
          if (!
              ((B_9 == (C_9 + -2)) && (A_9 == ((2 * E_9) + D_9))
               && (A_9 == ((2 * G_9) + F_9)) && (!(F_9 == 0)) && (-1 <= D_9)
               && (-1 <= F_9) && (0 <= C_9) && (0 <= A_9) && (D_9 <= 1)
               && (F_9 <= 1) && ((!(1 <= D_9)) || (1 <= A_9))
               && ((!(1 <= F_9)) || (1 <= A_9)) && ((!(D_9 <= -1))
                                                    || (A_9 <= -1))
               && ((!(F_9 <= -1)) || (A_9 <= -1)) && (!(D_9 == 0))))
              abort ();
          inv_main23_0 = B_9;
          inv_main23_1 = A_9;
          goto inv_main23;

      default:
          abort ();
      }
  inv_main23:
    switch (__VERIFIER_nondet_int ())
      {
      case 0:
          C_10 = __VERIFIER_nondet_int ();
          if (((C_10 <= -1000000000) || (C_10 >= 1000000000)))
              abort ();
          D_10 = __VERIFIER_nondet_int ();
          if (((D_10 <= -1000000000) || (D_10 >= 1000000000)))
              abort ();
          E_10 = __VERIFIER_nondet_int ();
          if (((E_10 <= -1000000000) || (E_10 >= 1000000000)))
              abort ();
          F_10 = __VERIFIER_nondet_int ();
          if (((F_10 <= -1000000000) || (F_10 >= 1000000000)))
              abort ();
          G_10 = __VERIFIER_nondet_int ();
          if (((G_10 <= -1000000000) || (G_10 >= 1000000000)))
              abort ();
          B_10 = inv_main23_0;
          A_10 = inv_main23_1;
          if (!
              ((C_10 == (B_10 + 4)) && (A_10 == ((2 * E_10) + D_10))
               && (A_10 == ((2 * G_10) + F_10)) && (F_10 == 0) && (-1 <= D_10)
               && (-1 <= F_10) && (0 <= B_10) && (0 <= A_10) && (D_10 <= 1)
               && (F_10 <= 1) && ((!(1 <= D_10)) || (1 <= A_10))
               && ((!(1 <= F_10)) || (1 <= A_10)) && ((!(D_10 <= -1))
                                                      || (A_10 <= -1))
               && ((!(F_10 <= -1)) || (A_10 <= -1)) && (D_10 == 0)))
              abort ();
          inv_main29_0 = C_10;
          inv_main29_1 = A_10;
          goto inv_main29;

      case 1:
          C_11 = __VERIFIER_nondet_int ();
          if (((C_11 <= -1000000000) || (C_11 >= 1000000000)))
              abort ();
          D_11 = __VERIFIER_nondet_int ();
          if (((D_11 <= -1000000000) || (D_11 >= 1000000000)))
              abort ();
          E_11 = __VERIFIER_nondet_int ();
          if (((E_11 <= -1000000000) || (E_11 >= 1000000000)))
              abort ();
          F_11 = __VERIFIER_nondet_int ();
          if (((F_11 <= -1000000000) || (F_11 >= 1000000000)))
              abort ();
          G_11 = __VERIFIER_nondet_int ();
          if (((G_11 <= -1000000000) || (G_11 >= 1000000000)))
              abort ();
          B_11 = inv_main23_0;
          A_11 = inv_main23_1;
          if (!
              ((C_11 == (B_11 + 4)) && (A_11 == ((2 * E_11) + D_11))
               && (A_11 == ((2 * G_11) + F_11)) && (F_11 == 0) && (-1 <= D_11)
               && (-1 <= F_11) && (0 <= B_11) && (0 <= A_11) && (D_11 <= 1)
               && (F_11 <= 1) && ((!(1 <= D_11)) || (1 <= A_11))
               && ((!(1 <= F_11)) || (1 <= A_11)) && ((!(D_11 <= -1))
                                                      || (A_11 <= -1))
               && ((!(F_11 <= -1)) || (A_11 <= -1)) && (!(D_11 == 0))))
              abort ();
          inv_main29_0 = C_11;
          inv_main29_1 = A_11;
          goto inv_main29;

      case 2:
          C_12 = __VERIFIER_nondet_int ();
          if (((C_12 <= -1000000000) || (C_12 >= 1000000000)))
              abort ();
          D_12 = __VERIFIER_nondet_int ();
          if (((D_12 <= -1000000000) || (D_12 >= 1000000000)))
              abort ();
          E_12 = __VERIFIER_nondet_int ();
          if (((E_12 <= -1000000000) || (E_12 >= 1000000000)))
              abort ();
          F_12 = __VERIFIER_nondet_int ();
          if (((F_12 <= -1000000000) || (F_12 >= 1000000000)))
              abort ();
          G_12 = __VERIFIER_nondet_int ();
          if (((G_12 <= -1000000000) || (G_12 >= 1000000000)))
              abort ();
          B_12 = inv_main23_0;
          A_12 = inv_main23_1;
          if (!
              ((C_12 == (B_12 + 6)) && (A_12 == ((2 * E_12) + D_12))
               && (A_12 == ((2 * G_12) + F_12)) && (!(F_12 == 0))
               && (-1 <= D_12) && (-1 <= F_12) && (0 <= B_12) && (0 <= A_12)
               && (D_12 <= 1) && (F_12 <= 1) && ((!(1 <= D_12))
                                                 || (1 <= A_12))
               && ((!(1 <= F_12)) || (1 <= A_12)) && ((!(D_12 <= -1))
                                                      || (A_12 <= -1))
               && ((!(F_12 <= -1)) || (A_12 <= -1)) && (D_12 == 0)))
              abort ();
          inv_main29_0 = C_12;
          inv_main29_1 = A_12;
          goto inv_main29;

      case 3:
          B_13 = __VERIFIER_nondet_int ();
          if (((B_13 <= -1000000000) || (B_13 >= 1000000000)))
              abort ();
          D_13 = __VERIFIER_nondet_int ();
          if (((D_13 <= -1000000000) || (D_13 >= 1000000000)))
              abort ();
          E_13 = __VERIFIER_nondet_int ();
          if (((E_13 <= -1000000000) || (E_13 >= 1000000000)))
              abort ();
          F_13 = __VERIFIER_nondet_int ();
          if (((F_13 <= -1000000000) || (F_13 >= 1000000000)))
              abort ();
          G_13 = __VERIFIER_nondet_int ();
          if (((G_13 <= -1000000000) || (G_13 >= 1000000000)))
              abort ();
          C_13 = inv_main23_0;
          A_13 = inv_main23_1;
          if (!
              ((B_13 == (C_13 + 6)) && (A_13 == ((2 * E_13) + D_13))
               && (A_13 == ((2 * G_13) + F_13)) && (!(F_13 == 0))
               && (-1 <= D_13) && (-1 <= F_13) && (0 <= C_13) && (0 <= A_13)
               && (D_13 <= 1) && (F_13 <= 1) && ((!(1 <= D_13))
                                                 || (1 <= A_13))
               && ((!(1 <= F_13)) || (1 <= A_13)) && ((!(D_13 <= -1))
                                                      || (A_13 <= -1))
               && ((!(F_13 <= -1)) || (A_13 <= -1)) && (!(D_13 == 0))))
              abort ();
          inv_main29_0 = B_13;
          inv_main29_1 = A_13;
          goto inv_main29;

      default:
          abort ();
      }
  inv_main29:
    switch (__VERIFIER_nondet_int ())
      {
      case 0:
          B_14 = __VERIFIER_nondet_int ();
          if (((B_14 <= -1000000000) || (B_14 >= 1000000000)))
              abort ();
          D_14 = __VERIFIER_nondet_int ();
          if (((D_14 <= -1000000000) || (D_14 >= 1000000000)))
              abort ();
          E_14 = __VERIFIER_nondet_int ();
          if (((E_14 <= -1000000000) || (E_14 >= 1000000000)))
              abort ();
          F_14 = __VERIFIER_nondet_int ();
          if (((F_14 <= -1000000000) || (F_14 >= 1000000000)))
              abort ();
          G_14 = __VERIFIER_nondet_int ();
          if (((G_14 <= -1000000000) || (G_14 >= 1000000000)))
              abort ();
          C_14 = inv_main29_0;
          A_14 = inv_main29_1;
          if (!
              ((B_14 == (C_14 + 4)) && (A_14 == ((2 * E_14) + D_14))
               && (A_14 == ((2 * G_14) + F_14)) && (F_14 == 0) && (-1 <= D_14)
               && (-1 <= F_14) && (0 <= C_14) && (0 <= A_14) && (D_14 <= 1)
               && (F_14 <= 1) && ((!(1 <= D_14)) || (1 <= A_14))
               && ((!(1 <= F_14)) || (1 <= A_14)) && ((!(D_14 <= -1))
                                                      || (A_14 <= -1))
               && ((!(F_14 <= -1)) || (A_14 <= -1)) && (D_14 == 0)))
              abort ();
          inv_main5_0 = B_14;
          inv_main5_1 = A_14;
          goto inv_main5;

      case 1:
          C_15 = __VERIFIER_nondet_int ();
          if (((C_15 <= -1000000000) || (C_15 >= 1000000000)))
              abort ();
          D_15 = __VERIFIER_nondet_int ();
          if (((D_15 <= -1000000000) || (D_15 >= 1000000000)))
              abort ();
          E_15 = __VERIFIER_nondet_int ();
          if (((E_15 <= -1000000000) || (E_15 >= 1000000000)))
              abort ();
          F_15 = __VERIFIER_nondet_int ();
          if (((F_15 <= -1000000000) || (F_15 >= 1000000000)))
              abort ();
          G_15 = __VERIFIER_nondet_int ();
          if (((G_15 <= -1000000000) || (G_15 >= 1000000000)))
              abort ();
          B_15 = inv_main29_0;
          A_15 = inv_main29_1;
          if (!
              ((C_15 == (B_15 + -2)) && (A_15 == ((2 * E_15) + D_15))
               && (A_15 == ((2 * G_15) + F_15)) && (F_15 == 0) && (-1 <= D_15)
               && (-1 <= F_15) && (0 <= B_15) && (0 <= A_15) && (D_15 <= 1)
               && (F_15 <= 1) && ((!(1 <= D_15)) || (1 <= A_15))
               && ((!(1 <= F_15)) || (1 <= A_15)) && ((!(D_15 <= -1))
                                                      || (A_15 <= -1))
               && ((!(F_15 <= -1)) || (A_15 <= -1)) && (!(D_15 == 0))))
              abort ();
          inv_main5_0 = C_15;
          inv_main5_1 = A_15;
          goto inv_main5;

      case 2:
          A_16 = __VERIFIER_nondet_int ();
          if (((A_16 <= -1000000000) || (A_16 >= 1000000000)))
              abort ();
          D_16 = __VERIFIER_nondet_int ();
          if (((D_16 <= -1000000000) || (D_16 >= 1000000000)))
              abort ();
          E_16 = __VERIFIER_nondet_int ();
          if (((E_16 <= -1000000000) || (E_16 >= 1000000000)))
              abort ();
          F_16 = __VERIFIER_nondet_int ();
          if (((F_16 <= -1000000000) || (F_16 >= 1000000000)))
              abort ();
          G_16 = __VERIFIER_nondet_int ();
          if (((G_16 <= -1000000000) || (G_16 >= 1000000000)))
              abort ();
          B_16 = inv_main29_0;
          C_16 = inv_main29_1;
          if (!
              ((C_16 == ((2 * E_16) + D_16)) && (C_16 == ((2 * G_16) + F_16))
               && (A_16 == (B_16 + -2)) && (!(F_16 == 0)) && (-1 <= D_16)
               && (-1 <= F_16) && (0 <= C_16) && (0 <= B_16) && (D_16 <= 1)
               && (F_16 <= 1) && ((!(1 <= D_16)) || (1 <= C_16))
               && ((!(1 <= F_16)) || (1 <= C_16)) && ((!(D_16 <= -1))
                                                      || (C_16 <= -1))
               && ((!(F_16 <= -1)) || (C_16 <= -1)) && (D_16 == 0)))
              abort ();
          inv_main5_0 = A_16;
          inv_main5_1 = C_16;
          goto inv_main5;

      case 3:
          C_17 = __VERIFIER_nondet_int ();
          if (((C_17 <= -1000000000) || (C_17 >= 1000000000)))
              abort ();
          D_17 = __VERIFIER_nondet_int ();
          if (((D_17 <= -1000000000) || (D_17 >= 1000000000)))
              abort ();
          E_17 = __VERIFIER_nondet_int ();
          if (((E_17 <= -1000000000) || (E_17 >= 1000000000)))
              abort ();
          F_17 = __VERIFIER_nondet_int ();
          if (((F_17 <= -1000000000) || (F_17 >= 1000000000)))
              abort ();
          G_17 = __VERIFIER_nondet_int ();
          if (((G_17 <= -1000000000) || (G_17 >= 1000000000)))
              abort ();
          A_17 = inv_main29_0;
          B_17 = inv_main29_1;
          if (!
              ((C_17 == (A_17 + -8)) && (B_17 == ((2 * E_17) + D_17))
               && (B_17 == ((2 * G_17) + F_17)) && (!(F_17 == 0))
               && (-1 <= D_17) && (-1 <= F_17) && (0 <= B_17) && (0 <= A_17)
               && (D_17 <= 1) && (F_17 <= 1) && ((1 <= B_17)
                                                 || (!(1 <= D_17)))
               && ((!(1 <= F_17)) || (1 <= B_17)) && ((B_17 <= -1)
                                                      || (!(D_17 <= -1)))
               && ((!(F_17 <= -1)) || (B_17 <= -1)) && (!(D_17 == 0))))
              abort ();
          inv_main5_0 = C_17;
          inv_main5_1 = B_17;
          goto inv_main5;

      default:
          abort ();
      }
  inv_main5:
    switch (__VERIFIER_nondet_int ())
      {
      case 0:
          A_2 = __VERIFIER_nondet_int ();
          if (((A_2 <= -1000000000) || (A_2 >= 1000000000)))
              abort ();
          D_2 = __VERIFIER_nondet_int ();
          if (((D_2 <= -1000000000) || (D_2 >= 1000000000)))
              abort ();
          E_2 = __VERIFIER_nondet_int ();
          if (((E_2 <= -1000000000) || (E_2 >= 1000000000)))
              abort ();
          F_2 = __VERIFIER_nondet_int ();
          if (((F_2 <= -1000000000) || (F_2 >= 1000000000)))
              abort ();
          G_2 = __VERIFIER_nondet_int ();
          if (((G_2 <= -1000000000) || (G_2 >= 1000000000)))
              abort ();
          C_2 = inv_main5_0;
          B_2 = inv_main5_1;
          if (!
              ((B_2 == ((2 * E_2) + D_2)) && (B_2 == ((2 * G_2) + F_2))
               && (A_2 == (C_2 + 4)) && (F_2 == 0) && (-1 <= D_2)
               && (-1 <= F_2) && (0 <= C_2) && (0 <= B_2) && (D_2 <= 1)
               && (C_2 <= 98) && (F_2 <= 1) && ((1 <= B_2) || (!(1 <= D_2)))
               && ((!(1 <= F_2)) || (1 <= B_2)) && ((B_2 <= -1)
                                                    || (!(D_2 <= -1)))
               && ((!(F_2 <= -1)) || (B_2 <= -1)) && (D_2 == 0)))
              abort ();
          inv_main11_0 = A_2;
          inv_main11_1 = B_2;
          goto inv_main11;

      case 1:
          C_3 = __VERIFIER_nondet_int ();
          if (((C_3 <= -1000000000) || (C_3 >= 1000000000)))
              abort ();
          D_3 = __VERIFIER_nondet_int ();
          if (((D_3 <= -1000000000) || (D_3 >= 1000000000)))
              abort ();
          E_3 = __VERIFIER_nondet_int ();
          if (((E_3 <= -1000000000) || (E_3 >= 1000000000)))
              abort ();
          F_3 = __VERIFIER_nondet_int ();
          if (((F_3 <= -1000000000) || (F_3 >= 1000000000)))
              abort ();
          G_3 = __VERIFIER_nondet_int ();
          if (((G_3 <= -1000000000) || (G_3 >= 1000000000)))
              abort ();
          A_3 = inv_main5_0;
          B_3 = inv_main5_1;
          if (!
              ((C_3 == A_3) && (B_3 == ((2 * E_3) + D_3))
               && (B_3 == ((2 * G_3) + F_3)) && (F_3 == 0) && (-1 <= D_3)
               && (-1 <= F_3) && (0 <= B_3) && (0 <= A_3) && (D_3 <= 1)
               && (A_3 <= 98) && (F_3 <= 1) && ((1 <= B_3) || (!(1 <= D_3)))
               && ((!(1 <= F_3)) || (1 <= B_3)) && ((B_3 <= -1)
                                                    || (!(D_3 <= -1)))
               && ((!(F_3 <= -1)) || (B_3 <= -1)) && (!(D_3 == 0))))
              abort ();
          inv_main11_0 = C_3;
          inv_main11_1 = B_3;
          goto inv_main11;

      case 2:
          C_4 = __VERIFIER_nondet_int ();
          if (((C_4 <= -1000000000) || (C_4 >= 1000000000)))
              abort ();
          D_4 = __VERIFIER_nondet_int ();
          if (((D_4 <= -1000000000) || (D_4 >= 1000000000)))
              abort ();
          E_4 = __VERIFIER_nondet_int ();
          if (((E_4 <= -1000000000) || (E_4 >= 1000000000)))
              abort ();
          F_4 = __VERIFIER_nondet_int ();
          if (((F_4 <= -1000000000) || (F_4 >= 1000000000)))
              abort ();
          G_4 = __VERIFIER_nondet_int ();
          if (((G_4 <= -1000000000) || (G_4 >= 1000000000)))
              abort ();
          B_4 = inv_main5_0;
          A_4 = inv_main5_1;
          if (!
              ((C_4 == (B_4 + 3)) && (A_4 == ((2 * E_4) + D_4))
               && (A_4 == ((2 * G_4) + F_4)) && (!(F_4 == 0)) && (-1 <= D_4)
               && (-1 <= F_4) && (0 <= B_4) && (0 <= A_4) && (D_4 <= 1)
               && (B_4 <= 98) && (F_4 <= 1) && ((!(1 <= D_4)) || (1 <= A_4))
               && ((!(1 <= F_4)) || (1 <= A_4)) && ((!(D_4 <= -1))
                                                    || (A_4 <= -1))
               && ((!(F_4 <= -1)) || (A_4 <= -1)) && (D_4 == 0)))
              abort ();
          inv_main11_0 = C_4;
          inv_main11_1 = A_4;
          goto inv_main11;

      case 3:
          A_5 = __VERIFIER_nondet_int ();
          if (((A_5 <= -1000000000) || (A_5 >= 1000000000)))
              abort ();
          D_5 = __VERIFIER_nondet_int ();
          if (((D_5 <= -1000000000) || (D_5 >= 1000000000)))
              abort ();
          E_5 = __VERIFIER_nondet_int ();
          if (((E_5 <= -1000000000) || (E_5 >= 1000000000)))
              abort ();
          F_5 = __VERIFIER_nondet_int ();
          if (((F_5 <= -1000000000) || (F_5 >= 1000000000)))
              abort ();
          G_5 = __VERIFIER_nondet_int ();
          if (((G_5 <= -1000000000) || (G_5 >= 1000000000)))
              abort ();
          C_5 = inv_main5_0;
          B_5 = inv_main5_1;
          if (!
              ((B_5 == ((2 * E_5) + D_5)) && (B_5 == ((2 * G_5) + F_5))
               && (A_5 == (C_5 + -1)) && (!(F_5 == 0)) && (-1 <= D_5)
               && (-1 <= F_5) && (0 <= C_5) && (0 <= B_5) && (D_5 <= 1)
               && (C_5 <= 98) && (F_5 <= 1) && ((1 <= B_5) || (!(1 <= D_5)))
               && ((!(1 <= F_5)) || (1 <= B_5)) && ((B_5 <= -1)
                                                    || (!(D_5 <= -1)))
               && ((!(F_5 <= -1)) || (B_5 <= -1)) && (!(D_5 == 0))))
              abort ();
          inv_main11_0 = A_5;
          inv_main11_1 = B_5;
          goto inv_main11;

      case 4:
          A_1 = inv_main5_0;
          B_1 = inv_main5_1;
          if (!((0 <= B_1) && (!(A_1 <= 98)) && (0 <= A_1)))
              abort ();
          inv_main6_0 = A_1;
          inv_main6_1 = B_1;
          C_23 = __VERIFIER_nondet_int ();
          if (((C_23 <= -1000000000) || (C_23 >= 1000000000)))
              abort ();
          D_23 = __VERIFIER_nondet_int ();
          if (((D_23 <= -1000000000) || (D_23 >= 1000000000)))
              abort ();
          E_23 = __VERIFIER_nondet_int ();
          if (((E_23 <= -1000000000) || (E_23 >= 1000000000)))
              abort ();
          F_23 = __VERIFIER_nondet_int ();
          if (((F_23 <= -1000000000) || (F_23 >= 1000000000)))
              abort ();
          A_23 = inv_main6_0;
          B_23 = inv_main6_1;
          if (!
              ((B_23 == ((2 * F_23) + E_23)) && (A_23 == ((2 * D_23) + C_23))
               && (-1 <= C_23) && (-1 <= E_23) && (0 <= B_23) && (0 <= A_23)
               && (C_23 <= 1) && (E_23 <= 1) && ((1 <= A_23)
                                                 || (!(1 <= C_23)))
               && ((!(1 <= E_23)) || (1 <= B_23)) && ((A_23 <= -1)
                                                      || (!(C_23 <= -1)))
               && ((!(E_23 <= -1)) || (B_23 <= -1)) && (!(C_23 == E_23))))
              abort ();
          goto main_error;

      default:
          abort ();
      }
  inv_main11:
    switch (__VERIFIER_nondet_int ())
      {
      case 0:
          B_19 = __VERIFIER_nondet_int ();
          if (((B_19 <= -1000000000) || (B_19 >= 1000000000)))
              abort ();
          D_19 = __VERIFIER_nondet_int ();
          if (((D_19 <= -1000000000) || (D_19 >= 1000000000)))
              abort ();
          E_19 = __VERIFIER_nondet_int ();
          if (((E_19 <= -1000000000) || (E_19 >= 1000000000)))
              abort ();
          F_19 = __VERIFIER_nondet_int ();
          if (((F_19 <= -1000000000) || (F_19 >= 1000000000)))
              abort ();
          G_19 = __VERIFIER_nondet_int ();
          if (((G_19 <= -1000000000) || (G_19 >= 1000000000)))
              abort ();
          C_19 = inv_main11_0;
          A_19 = inv_main11_1;
          if (!
              ((B_19 == (C_19 + 4)) && (A_19 == ((2 * E_19) + D_19))
               && (A_19 == ((2 * G_19) + F_19)) && (F_19 == 0) && (-1 <= D_19)
               && (-1 <= F_19) && (0 <= C_19) && (0 <= A_19) && (D_19 <= 1)
               && (F_19 <= 1) && ((!(1 <= D_19)) || (1 <= A_19))
               && ((!(1 <= F_19)) || (1 <= A_19)) && ((!(D_19 <= -1))
                                                      || (A_19 <= -1))
               && ((!(F_19 <= -1)) || (A_19 <= -1)) && (D_19 == 0)))
              abort ();
          inv_main17_0 = B_19;
          inv_main17_1 = A_19;
          goto inv_main17;

      case 1:
          A_20 = __VERIFIER_nondet_int ();
          if (((A_20 <= -1000000000) || (A_20 >= 1000000000)))
              abort ();
          D_20 = __VERIFIER_nondet_int ();
          if (((D_20 <= -1000000000) || (D_20 >= 1000000000)))
              abort ();
          E_20 = __VERIFIER_nondet_int ();
          if (((E_20 <= -1000000000) || (E_20 >= 1000000000)))
              abort ();
          F_20 = __VERIFIER_nondet_int ();
          if (((F_20 <= -1000000000) || (F_20 >= 1000000000)))
              abort ();
          G_20 = __VERIFIER_nondet_int ();
          if (((G_20 <= -1000000000) || (G_20 >= 1000000000)))
              abort ();
          C_20 = inv_main11_0;
          B_20 = inv_main11_1;
          if (!
              ((B_20 == ((2 * E_20) + D_20)) && (B_20 == ((2 * G_20) + F_20))
               && (A_20 == C_20) && (F_20 == 0) && (-1 <= D_20)
               && (-1 <= F_20) && (0 <= C_20) && (0 <= B_20) && (D_20 <= 1)
               && (F_20 <= 1) && ((1 <= B_20) || (!(1 <= D_20)))
               && ((!(1 <= F_20)) || (1 <= B_20)) && ((B_20 <= -1)
                                                      || (!(D_20 <= -1)))
               && ((!(F_20 <= -1)) || (B_20 <= -1)) && (!(D_20 == 0))))
              abort ();
          inv_main17_0 = A_20;
          inv_main17_1 = B_20;
          goto inv_main17;

      case 2:
          C_21 = __VERIFIER_nondet_int ();
          if (((C_21 <= -1000000000) || (C_21 >= 1000000000)))
              abort ();
          D_21 = __VERIFIER_nondet_int ();
          if (((D_21 <= -1000000000) || (D_21 >= 1000000000)))
              abort ();
          E_21 = __VERIFIER_nondet_int ();
          if (((E_21 <= -1000000000) || (E_21 >= 1000000000)))
              abort ();
          F_21 = __VERIFIER_nondet_int ();
          if (((F_21 <= -1000000000) || (F_21 >= 1000000000)))
              abort ();
          G_21 = __VERIFIER_nondet_int ();
          if (((G_21 <= -1000000000) || (G_21 >= 1000000000)))
              abort ();
          B_21 = inv_main11_0;
          A_21 = inv_main11_1;
          if (!
              ((C_21 == (B_21 + 4)) && (A_21 == ((2 * E_21) + D_21))
               && (A_21 == ((2 * G_21) + F_21)) && (!(F_21 == 0))
               && (-1 <= D_21) && (-1 <= F_21) && (0 <= B_21) && (0 <= A_21)
               && (D_21 <= 1) && (F_21 <= 1) && ((!(1 <= D_21))
                                                 || (1 <= A_21))
               && ((!(1 <= F_21)) || (1 <= A_21)) && ((!(D_21 <= -1))
                                                      || (A_21 <= -1))
               && ((!(F_21 <= -1)) || (A_21 <= -1)) && (D_21 == 0)))
              abort ();
          inv_main17_0 = C_21;
          inv_main17_1 = A_21;
          goto inv_main17;

      case 3:
          B_22 = __VERIFIER_nondet_int ();
          if (((B_22 <= -1000000000) || (B_22 >= 1000000000)))
              abort ();
          D_22 = __VERIFIER_nondet_int ();
          if (((D_22 <= -1000000000) || (D_22 >= 1000000000)))
              abort ();
          E_22 = __VERIFIER_nondet_int ();
          if (((E_22 <= -1000000000) || (E_22 >= 1000000000)))
              abort ();
          F_22 = __VERIFIER_nondet_int ();
          if (((F_22 <= -1000000000) || (F_22 >= 1000000000)))
              abort ();
          G_22 = __VERIFIER_nondet_int ();
          if (((G_22 <= -1000000000) || (G_22 >= 1000000000)))
              abort ();
          A_22 = inv_main11_0;
          C_22 = inv_main11_1;
          if (!
              ((C_22 == ((2 * E_22) + D_22)) && (C_22 == ((2 * G_22) + F_22))
               && (B_22 == A_22) && (!(F_22 == 0)) && (-1 <= D_22)
               && (-1 <= F_22) && (0 <= C_22) && (0 <= A_22) && (D_22 <= 1)
               && (F_22 <= 1) && ((!(1 <= D_22)) || (1 <= C_22))
               && ((!(1 <= F_22)) || (1 <= C_22)) && ((!(D_22 <= -1))
                                                      || (C_22 <= -1))
               && ((!(F_22 <= -1)) || (C_22 <= -1)) && (!(D_22 == 0))))
              abort ();
          inv_main17_0 = B_22;
          inv_main17_1 = C_22;
          goto inv_main17;

      default:
          abort ();
      }

    // return expression

}

